Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{tenant_id}.api.useago.com/api/v1/agents \ --header 'X-API-Key: <api-key>'
import requests url = "https://{tenant_id}.api.useago.com/api/v1/agents" headers = {"X-API-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}}; fetch('https://{tenant_id}.api.useago.com/api/v1/agents', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": [ { "id": "<string>", "name": "<string>", "status": "<string>", "object": "agent", "display_name": "<string>", "prompt_template_id": "<string>", "prompt_template_name": "<string>", "tools": [], "sources": [], "icon": "<string>", "custom_icon_id": "<string>", "is_background_agent": false, "can_be_used_as_tool": false, "ui_selectable": true, "order": 123 } ], "has_more": true, "total": 123, "object": "list" }
List all agents.
OK
Paginated list response for agents.
Show child attributes